Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZPreOrder Class Reference

## Public Member Functions
| __construct ( $id="")
| store ()
| delete ()
| get ( $id="")
| getByOrderID ( $orderID)
| date ()
| id ()
| orderID ()
| setOrderID ( $value)

## Public Attributes
| $ID
| $Created
| $OrderID

## Detailed Description

! eZTrade eZOrder handles pre-orders.

Pre orders is a handler for unique ID's for checkouts. This is needed because the orders are not created until the payment is done and we need a unique ID for the checkout (VISA clearing etc). This is to prevent double charging of the clients.

See also
  eZOrderItem

Definition at line 43 of file ezpreorder.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZPreOrder::__construct | ( |  | $id = `""` | ) |

Constructs a new eZPreOrder object.

If $id is set the object's values are fetched from the database.

Definition at line 51 of file ezpreorder.php.

References $id, and $ID.

## Member Function Documentation

## ◆ date()

eZPreOrder::date | ( |  | ) |

Returns the order date as a eZDateTime object.

Definition at line 171 of file ezpreorder.php.

References $dateTime.

## ◆ delete()

eZPreOrder::delete | ( |  | ) |

Deletes a eZOrder object from the database.

Definition at line 100 of file ezpreorder.php.

References $db, $ret, and eZDB\finish().

## ◆ get()

eZPreOrder::get | ( |  | $id = `""` | ) |

Fetches the object information from the database.

Definition at line 116 of file ezpreorder.php.

References $db, $id, and $ret.

## ◆ getByOrderID()

eZPreOrder::getByOrderID | ( |  | $orderID | ) |

Fetches the pre order by OrderID.

False is returned if no the orderID is not found.

Definition at line 144 of file ezpreorder.php.

References $db, $orderID, and $ret.

## ◆ id()

eZPreOrder::id | ( |  | ) |

Returns the object id.

Definition at line 182 of file ezpreorder.php.

References $ID.

## ◆ orderID()

eZPreOrder::orderID | ( |  | ) |

Returns the order id. If 0 this pre order has not resulted in an order.

Definition at line 191 of file ezpreorder.php.

References $OrderID.

## ◆ setOrderID()

eZPreOrder::setOrderID | ( |  | $value | ) |

Sets the order id which corresponds to this pre-order

Definition at line 199 of file ezpreorder.php.

## ◆ store()

eZPreOrder::store | ( |  | ) |

Stores a order to the database.

Definition at line 65 of file ezpreorder.php.

References $db, $ret, and eZDB\finish().

## Member Data Documentation

## ◆ $Created

eZPreOrder::$Created

Definition at line 206 of file ezpreorder.php.

## ◆ $ID

eZPreOrder::$ID

Definition at line 205 of file ezpreorder.php.

Referenced by __construct(), and id().

## ◆ $OrderID

eZPreOrder::$OrderID

Definition at line 207 of file ezpreorder.php.

Referenced by orderID().

The documentation for this class was generated from the following file:

- ezpreorder.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.